<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA['tx_quickshop_categories'] = array (
	'ctrl' => $TCA['tx_quickshop_categories']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,title'
	),
	'feInterface' => $TCA['tx_quickshop_categories']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_categories.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2')
	),
	'palettes' => array (
		'1' => array('showitem' => '')
	)
);



$TCA['tx_quickshop_products'] = array (
	'ctrl' => $TCA['tx_quickshop_products']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,title,short,description,category,price,tax,in_stock,image,caption,imagealttext,imagetitletext'
	),
	'feInterface' => $TCA['tx_quickshop_products']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
		'short' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.short',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',	
				'rows' => '5',
			)
		),
		'description' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.description',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',
				'rows' => '5',
				'wizards' => array(
					'_PADDING' => 2,
					'RTE' => array(
						'notNewRecords' => 1,
						'RTEonly'       => 1,
						'type'          => 'script',
						'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon'          => 'wizard_rte2.gif',
						'script'        => 'wizard_rte.php',
					),
				),
			)
		),
		'category' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.category',		
			'config' => array (
				'type' => 'select',	
				'foreign_table' => 'tx_quickshop_categories',	
				'foreign_table_where' => 'AND tx_quickshop_categories.pid=###CURRENT_PID### ORDER BY tx_quickshop_categories.uid',	
				'size' => 10,	
				'minitems' => 0,
				'maxitems' => 10,	
				"MM" => "tx_quickshop_products_category_mm",	
				'wizards' => array(
					'_PADDING'  => 2,
					'_VERTICAL' => 1,
					'add' => array(
						'type'   => 'script',
						'title'  => 'Create new record',
						'icon'   => 'add.gif',
						'params' => array(
							'table'    => 'tx_quickshop_categories',
							'pid'      => '###CURRENT_PID###',
							'setValue' => 'prepend'
						),
						'script' => 'wizard_add.php',
					),
					'list' => array(
						'type'   => 'script',
						'title'  => 'List',
						'icon'   => 'list.gif',
						'params' => array(
							'table' => 'tx_quickshop_categories',
							'pid'   => '###CURRENT_PID###',
						),
						'script' => 'wizard_list.php',
					),
					'edit' => array(
						'type'                     => 'popup',
						'title'                    => 'Edit',
						'script'                   => 'wizard_edit.php',
						'popup_onlyOpenIfSelected' => 1,
						'icon'                     => 'edit2.gif',
						'JSopenParams'             => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
					),
				),
			)
		),
		'price' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.price',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required,double2,nospace',
			)
		),
		'tax' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.tax',		
			'config' => array (
				'type' => 'select',
				'items' => array (
					array('LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.tax.I.0', '1'),
					array('LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.tax.I.1', '2'),
				),
				'size' => 1,	
				'maxitems' => 1,
			)
		),
		'in_stock' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.in_stock',		
			'config' => array (
				'type' => 'check',
				'default' => 1,
			)
		),
		'image' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.image',		
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],	
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],	
				'uploadfolder' => 'uploads/tx_quickshop',
				'show_thumbs' => 1,	
				'size' => 10,	
				'minitems' => 0,
				'maxitems' => 10,
			)
		),
		'caption' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.caption',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',	
				'rows' => '5',
			)
		),
		'imagealttext' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.imagealttext',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',	
				'rows' => '5',
			)
		),
		'imagetitletext' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:quick_shop/locallang_db.xml:tx_quickshop_products.imagetitletext',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',	
				'rows' => '5',
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, short;;;;3-3-3, description;;;richtext[]:rte_transform[mode=ts], category, price, tax, in_stock, image, caption, imagealttext, imagetitletext')
	),
	'palettes' => array (
		'1' => array('showitem' => '')
	)
);
?>